#!/bin/sh
#*****************************************************************************
# This script is used to start MegaLogViewer
#
#*****************************************************************************


SCRIPT=$( readlink -f $0 )

BASE_PATH="${SCRIPT%/*}"
LAST_PATH="$PWD"


if [ ! -e "$BASE_PATH/HogLogViewer.properties" ]; then
	echo "This script must be located in the MegaLogViewer directory. To be able"
	echo "to launch without path create a symlink of this script to a directory in PATH."
	echo
	echo "Example: ln -s /home/john_doe/MegaLogViewer/MegaLogViewer.sh /usr/local/bin"
	exit 1
fi

cd "$BASE_PATH" && java -Xms256m -Xmx1024m -jar HogLogViewer.jar $1
RESULT=$?

if [ -d "$LAST_PATH" ]; then
	cd "$LAST_PATH"
fi

exit $RESULT